%define upstream_name    CSS
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Object oriented access to Cascading Style Sheets (CSS) 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/I/IA/IAMCAL/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    rebuild-grammar.pl

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::RecDescent) >= 1.0.0
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
This module can be used, along with a CSS::Parse::* module, to parse
CSS data and represent it as a tree of objects. Using a CSS::Adaptor::*
module, the CSS data tree can then be transformed into other formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Regenerate CSS::Parse::CompiledGrammar (redhat#564808, CPAN RT#53948)
%{__perl} %{SOURCE1}
mv CompiledGrammar.pm CSS/Parse/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc CSS Changes META.yml README examples
%{perl_vendorlib}/CSS.pm
%{perl_vendorlib}/CSS
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.90.0-8pclos2017
- rebuild against updates

